import { Context } from 'react';
import { IConfiguredAuthDataProvider, IEditableUserData } from '@orderingstack/ordering-core';

export interface IUserData {
    UUID: string;
    login: string;
    active: boolean;
    failedAttempts: number;
    firstName?: string;
    phone?: string;
    roles: any[];
    authStrategies: any[];
    consents: any;
    properties: any;
}
export declare enum LoginProvider {
    GOOGLE = "google",
    APPLE = "apple",
    FACEBOOK = "facebook",
    AZURE = "azuread"
}
export interface IAuth {
    loggedIn: boolean;
    isAnonymousUser?: boolean;
    UUID: string;
    email?: string;
    authProvider?: IConfiguredAuthDataProvider;
    signOut?: (rememberLocation?: boolean) => void;
    updateUserData?: (data: IEditableUserData) => Promise<boolean>;
    deleteUser: () => Promise<boolean>;
    resolved: boolean;
    userData?: IUserData;
}
export declare const defaultAuth: {
    loggedIn: boolean;
    UUID: string;
    resolved: boolean;
};
export declare const AuthContext: Context<IAuth>;
export declare const useAuthContext: () => IAuth;
//# sourceMappingURL=AuthContext.d.ts.map