declare const CODEPAGE_TYPES: readonly ["cp1098", "cp1118", "cp1119", "cp1125", "cp1251", "cp1252", "cp2001", "cp3001", "cp3002", "cp3011", "cp3012", "cp3021", "cp3041", "cp3840", "cp3843", "cp3844", "cp3845", "cp3846", "cp3847", "cp3848", "cp437", "cp720", "cp737", "cp775", "cp850", "cp851", "cp852", "cp853", "cp855", "cp857", "cp858", "cp860", "cp861", "cp862", "cp863", "cp864", "cp865", "cp866", "cp869", "cp874", "cp928", "cp936", "cp949", "cp950", "iso885915", "iso88592", "iso88596", "iso88597", "rk1048", "shiftjis", "windows1250", "windows1251", "windows1252", "windows1253", "windows1254", "windows1255", "windows1256", "windows1257", "windows1258", "windows775", "windows874"];
export type CodepageType = (typeof CODEPAGE_TYPES)[number];
declare const CODEPAGE_MAPPINGS: readonly ["epson", "zjiang", "bixolon", "star", "citizen", "sunmi", "zebra", "legacy"];
export type CodepageMapping = (typeof CODEPAGE_MAPPINGS)[number];
export declare const CODEPAGE_MAP: Record<CodepageMapping, Partial<Record<CodepageType, number>>>;
export declare const QR_CODE_SYMBOLOGIES: {
    readonly upca: 0;
    readonly upce: 1;
    readonly ean13: 2;
    readonly ean8: 3;
    readonly code39: 4;
    readonly coda39: 4;
    readonly itf: 5;
    readonly codabar: 6;
    readonly code93: 72;
    readonly code128: 73;
    readonly 'gs1-128': 80;
    readonly 'gs1-databar-omni': 81;
    readonly 'gs1-databar-truncated': 82;
    readonly 'gs1-databar-limited': 83;
    readonly 'gs1-databar-expanded': 84;
    readonly 'code128-auto': 85;
};
export {};
//# sourceMappingURL=const.d.ts.map