import { IOrderLine, IDiscount, IProduct, IOrder, IOrderCoupon, EChannelName } from '@orderingstack/ordering-types';

export declare function addDiscounts(discounts: IDiscount[] | undefined): number;
export declare function summarizeLineDiscounts(line: IOrderLine): number;
export declare function formatPrice(value: string | number, currency?: string | null, separator?: string, decimals?: number): string;
export declare function isProductEnabled(item: IProduct, enableKeys?: string[]): boolean;
export declare function isHiddenByEnableKey(item: IProduct, enableKeys?: string[]): boolean;
export declare function getProductAcronym(product: IProduct): string;
export declare function getUnusedCouponsKeysFromOrder(order: IOrder): IOrderCoupon[] | undefined;
export declare function extractLiteralsByLanguage(product: IProduct, lang: string): void;
export interface IMenuLock {
    id: string;
    products?: string[];
    instances?: string[];
    lockedInChannel?: Record<EChannelName, boolean>;
    description?: string;
    plannedLockExpirationDate?: string;
    lockReason?: string;
}
export declare function getMenuItemsWithProcessLocks(items: IProduct[], locks?: IMenuLock[]): IProduct[];
export declare function processLocks(product: IProduct, locks: IMenuLock[], nestedLvl?: number): IProduct | null;
export declare function getReadOnlyMenuItemsWithProcessLocks(items: IProduct[], locks?: IMenuLock[]): IProduct[];
export declare function processReadOnlyProductWithLocks(product: IProduct, locks: IMenuLock[], nestedLvl?: number): {
    modified: boolean;
    product: IProduct | null;
};
export declare function isFreeForLocks(product: IProduct, locks: IMenuLock[]): any;
export declare function isLocked(product: IProduct, locks: IMenuLock[]): boolean | IProduct;
export declare function isProduct(product: IProduct): boolean;
export declare function isOptionGroup(product: IProduct): boolean;
export declare function isVitalOptionGroup(product: IProduct): boolean;
//# sourceMappingURL=utils.d.ts.map